import { world } from "@minecraft/server";

// List of commands to run randomly
const commands = [
    "enchant @s protection 1",
  "enchant @s protection 2",
  "enchant @s protection 3",
  "enchant @s protection 4",
  "enchant @s fire_protection 1",
  "enchant @s fire_protection 2",
  "enchant @s fire_protection 3",
  "enchant @s fire_protection 4",
  "enchant @s blast_protection 1",
  "enchant @s blast_protection 2",
  "enchant @s blast_protection 3",
  "enchant @s blast_protection 4",
  "enchant @s projectile_protection 1",
  "enchant @s projectile_protection 2",
  "enchant @s projectile_protection 3",
  "enchant @s projectile_protection 4",
  "enchant @s respiration 1",
  "enchant @s respiration 2",
  "enchant @s respiration 3",
  "enchant @s aqua_affinity 1",
  "enchant @s thorns 1",
  "enchant @s thorns 2",
  "enchant @s thorns 3",
  "enchant @s depth_strider 1",
  "enchant @s depth_strider 2",
  "enchant @s depth_strider 3",
  "enchant @s feather_falling 1",
  "enchant @s feather_falling 2",
  "enchant @s feather_falling 3",
  "enchant @s feather_falling 4",
  "enchant @s sharpness 1",
  "enchant @s sharpness 2",
  "enchant @s sharpness 3",
  "enchant @s sharpness 4",
  "enchant @s sharpness 5",
  "enchant @s smite 1",
  "enchant @s smite 2",
  "enchant @s smite 3",
  "enchant @s smite 4",
  "enchant @s smite 5",
  "enchant @s bane_of_arthropods 1",
  "enchant @s bane_of_arthropods 2",
  "enchant @s bane_of_arthropods 3",
  "enchant @s bane_of_arthropods 4",
  "enchant @s bane_of_arthropods 5",
  "enchant @s knockback 1",
  "enchant @s knockback 2",
  "enchant @s fire_aspect 1",
  "enchant @s fire_aspect 2",
  "enchant @s looting 1",
  "enchant @s looting 2",
  "enchant @s looting 3",
  "enchant @s sweeping 1",
  "enchant @s sweeping 2",
  "enchant @s sweeping 3",
  "enchant @s efficiency 1",
  "enchant @s efficiency 2",
  "enchant @s efficiency 3",
  "enchant @s efficiency 4",
  "enchant @s efficiency 5",
  "enchant @s silk_touch 1",
  "enchant @s unbreaking 1",
  "enchant @s unbreaking 2",
  "enchant @s unbreaking 3",
  "enchant @s fortune 1",
  "enchant @s fortune 2",
  "enchant @s fortune 3",
  "enchant @s power 1",
  "enchant @s power 2",
  "enchant @s power 3",
  "enchant @s power 4",
  "enchant @s power 5",
  "enchant @s punch 1",
  "enchant @s punch 2",
  "enchant @s flame 1",
  "enchant @s infinity 1",
  "enchant @s loyalty 1",
  "enchant @s loyalty 2",
  "enchant @s loyalty 3",
  "enchant @s impaling 1",
  "enchant @s impaling 2",
  "enchant @s impaling 3",
  "enchant @s impaling 4",
  "enchant @s impaling 5",
  "enchant @s riptide 1",
  "enchant @s riptide 2",
  "enchant @s riptide 3",
  "enchant @s channeling 1",
  "enchant @s quick_charge 1",
  "enchant @s quick_charge 2",
  "enchant @s quick_charge 3",
  "enchant @s multishot 1",
  "enchant @s piercing 1",
  "enchant @s piercing 2",
  "enchant @s piercing 3",
  "enchant @s piercing 4",
  "enchant @s soul_speed 1",
  "enchant @s soul_speed 2",
  "enchant @s soul_speed 3",
  "enchant @s frost_walker 1",
  "enchant @s frost_walker 2"
];

world.afterEvents.playerBreakBlock.subscribe((event) => {
    const player = event.player;

    try {
        // Pick a random command from the list
        const randomCommand = commands[Math.floor(Math.random() * commands.length)];
        
        // Run the randomly selected command
        player.runCommandAsync(randomCommand);
    } catch (error) {
        console.error(`Failed to run command: ${error}`);
    }
});
